with GNATCOM.Dispinterface;

package MSHTML.DWebBridgeEvents_Object is

   type DWebBridgeEvents_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure onscriptletevent
     (This      : DWebBridgeEvents_Type;
      name      : GNATCOM.Types.VARIANT;
      eventData : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure onreadystatechange
     (This : DWebBridgeEvents_Type);

   function onclick
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT;

   function ondblclick
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onkeydown
     (This : DWebBridgeEvents_Type);

   procedure onkeyup
     (This : DWebBridgeEvents_Type);

   function onkeypress
     (This : DWebBridgeEvents_Type)
     return GNATCOM.Types.VARIANT;

   procedure onmousedown
     (This : DWebBridgeEvents_Type);

   procedure onmousemove
     (This : DWebBridgeEvents_Type);

   procedure onmouseup
     (This : DWebBridgeEvents_Type);

end MSHTML.DWebBridgeEvents_Object;

